#include "windowstate.h"

WindowState::WindowState()
{
    clear();
}


bool WindowState::isEmpty() const
{
    return openedVideoFilename.isEmpty();
}

void WindowState::clear()
{
    openedVideoFilename = "";
    openedVideoLength = -1;
    openedVideoFps = -1;
    tubes = NULL;
    playerSchema.clear();
    algorithm = NULL;
    featureDataSource = NULL;
}
